summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Barry J. Grundy <bgrundyatlinuxleo.com>2010-05-12 23:33:41 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:33:41 +0200
commit0f69dd7ebb385a3d135aa126000bf6290e364d39 (patch)
tree0b58ee011f0ff00ac7874849b17e36ba88e5af83
parent4fe55491bf2d671c705b9645b5d8061c54135520 (diff)
downloadslackbuilds-0f69dd7ebb385a3d135aa126000bf6290e364d39.tar.gz
slackbuilds-0f69dd7ebb385a3d135aa126000bf6290e364d39.tar.xz
system/lzip: Added to 12.2 repository
-rw-r--r--system/lzip/README6
-rw-r--r--system/lzip/lzip.SlackBuild99
-rw-r--r--system/lzip/lzip.info8
-rw-r--r--system/lzip/slack-desc19
4 files changed, 132 insertions, 0 deletions
diff --git a/system/lzip/README b/system/lzip/README
new file mode 100644
index 0000000000..c0ebf2736c
--- /dev/null
+++ b/system/lzip/README
@@ -0,0 +1,6 @@
+Lzip is a lossless data compressor based on the LZMA (Lempel-Ziv-Markov
+chain-Algorithm) algorithm designed by Igor Pavlov. Lzip decompresses
+almost as fast as gzip and compresses better than bzip2, but requires
+more memory and time during compression. These features make lzip well
+suited for software distribution and data archival.
+Lzip has a user interface similar to the one of gzip or bzip2.
diff --git a/system/lzip/lzip.SlackBuild b/system/lzip/lzip.SlackBuild
new file mode 100644
index 0000000000..be1ce2270f
--- /dev/null
+++ b/system/lzip/lzip.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+# Slackware build script for lzip
+
+# Copyright 2008 Barry J. Grundy <http://www.linuxleo.com>
+# All rights reserved.
+#
+# Revision Date: 12 Feb 2009
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=lzip
+VERSION=1.4
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRC_VERSION=$(echo $VERSION | tr _ -)
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$PRGNAM-$SRC_VERSION
+cd $TMP
+tar xvf $CWD/$PRGNAM-$SRC_VERSION.tar.gz
+cd $PRGNAM-$SRC_VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --build=$ARCH-slackware-linux
+
+make CFLAGS+="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS"
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/man/man1/
+gzip -9c doc/$PRGNAM.1 > $PKG/usr/man/man1/$PRGNAM.1.gz
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/lzip/lzip.info b/system/lzip/lzip.info
new file mode 100644
index 0000000000..4b408f15b2
--- /dev/null
+++ b/system/lzip/lzip.info
@@ -0,0 +1,8 @@
+PRGNAM="lzip"
+VERSION="1.4"
+HOMEPAGE="http://www.nongnu.org/lzip/lzip.html"
+DOWNLOAD="http://download.savannah.gnu.org/releases-noredirect/lzip/lzip-1.4.tar.gz"
+MD5SUM="b7b7b7502c0364995709f5580539dfef"
+MAINTAINER="Barry J. Grundy"
+EMAIL="bgrundy<at>linuxleo.com"
+APPROVED="dsomero"
diff --git a/system/lzip/slack-desc b/system/lzip/slack-desc
new file mode 100644
index 0000000000..50606f7b7d
--- /dev/null
+++ b/system/lzip/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+lzip: lzip (lossless data compression tool)
+lzip:
+lzip: Lzip is a lossless data compressor based on the LZMA (Lempel-Ziv-Markov
+lzip: chain-Algorithm) algorithm designed by Igor Pavlov. Lzip decompresses
+lzip: almost as fast as gzip and compresses better than bzip2, but requires
+lzip: more memory and time during compression. These features make lzip well
+lzip: suited for software distribution and data archival.
+lzip: Lzip has a user interface similar to the one of gzip or bzip2.
+lzip:
+lzip: Homepage: http://www.nongnu.org/lzip/lzip.html
+lzip: